Bug 484881 - Traceback when doing a bare-bones text-mode kickstart install
Traceback when doing a bare-bones text-mode kickstart install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:0d5a1afdb67f39e51...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 09:04 EST by James Laska
Modified: 2013-09-02 02:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-12 10:59:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (76.35 KB, text/plain)
2009-02-10 09:04 EST, James Laska
no flags Details
ks.cfg (1.63 KB, text/plain)
2009-02-12 10:06 EST, James Laska
no flags Details
Attached traceback automatically from anaconda. (32.49 KB, text/plain)
2009-08-25 06:24 EDT, CAI Qian
no flags Details

  None (edit)
Description James Laska 2009-02-10 09:04:07 EST
This bug was filed automatically by anaconda.
Comment 1 James Laska 2009-02-10 09:04:10 EST
Created attachment 331425 [details]
Attached traceback automatically from anaconda.
Comment 2 James Laska 2009-02-10 10:32:01 EST
Having trouble accessing the kickstart  right now ... but all it had was:

1) url --url http://some.server/path/to/tree

2) a few %pre and %post scripts
Comment 3 James Laska 2009-02-10 10:41:36 EST
The only non-%{pre,post} content is ...

# this file intentionally left blank
# admins:  edit it as you like, or leave it blank for non-interactive install
url --url http://download.fedora.devel.redhat.com/pub/fedora/linux/development/x86_64/os
Comment 4 James Laska 2009-02-12 10:06:11 EST
Created attachment 331699 [details]
ks.cfg
Comment 5 Chris Lumens 2009-02-12 10:59:57 EST
This should be fixed in the next build of anaconda.  The key here is that you had no "text" line in your kickstart file, and that's what I was testing for.
Comment 6 CAI Qian 2009-08-25 06:24:46 EDT
Created attachment 358549 [details]
Attached traceback automatically from anaconda.
Comment 7 CAI Qian 2009-08-25 06:35:04 EDT
I have filed a new bug for the above issue,
Bug 519137 - Fail to Install RHEL6 PPC64
Comment 8 James Laska 2009-08-26 10:51:46 EDT
Adding traceback for future searching...

anaconda 11.5.0.15 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/text.py", line 669, in run
    (file, classNames) = stepToClasses[step]
  File "/usr/bin/anaconda", line 1013, in <module>
    anaconda.intf.run(anaconda)
KeyError: 'group-selection'

Note You need to log in before you can comment on or make changes to this bug.